diff --git a/official/recommend/ncf/README.md b/official/recommend/ncf/README.md
index 53ad57953f9ddaf4f086899fe43a2186b8bcad8c..9e3c8665a0001dc6d7612b0a82b063bb902fd3f5 100644
--- a/official/recommend/ncf/README.md
+++ b/official/recommend/ncf/README.md
@@ -84,30 +84,36 @@ For FP16 operators, if the input data type is FP32, the backend of MindSpore wil
     - [MindSpore](https://www.mindspore.cn/install/en)
 - For more information, please check the resources below锛�
     - [MindSpore tutorials](https://www.mindspore.cn/tutorials/en/master/index.html)
-    - [MindSpore Python API](https://www.mindspore.cn/docs/en/master/index.html)
+    - [MindSpore Python API](https://www.mindspore.cn/docs/api/en/master/index.html)
 
 # [Quick Start](#contents)
 
 After installing MindSpore via the official website, you can start training and evaluation as follows:
 
-```python
+```bash
 #run data process
 bash scripts/run_download_dataset.sh
 
-# run training example on Ascend
+# run training example
 bash scripts/run_train.sh
 
+# run training example on Ascend
+bash scripts/run_train_ascend.sh
+
 # run training example on GPU
 bash scripts/run_train_gpu.sh
 
 # run training distribute example on Ascend
 bash scripts/run_distribute_train.sh /path/hccl.json /path/MovieLens
 
+# run evaluation example
+bash scripts/run_eval.sh
+
 # run evaluation example on Ascend
-bash run_eval.sh
+bash scripts/run_eval_ascend.sh
 
 # run evaluation example on GPU
-bash run_eval_gpu.sh
+bash scripts/run_eval_gpu.sh
 ```
 
 If you want to run in modelarts, please check the official documentation of [modelarts](https://support.huaweicloud.com/modelarts/), and you can start training and evaluation as follows:
@@ -164,9 +170,11 @@ If you want to run in modelarts, please check the official documentation of [mod
     鈹�   鈹溾攢鈹€ascend_distributed_launcher
     鈹�       鈹溾攢鈹€__init__.py                      // init file
     鈹�       鈹溾攢鈹€get_distribute_pretrain_cmd.py   // create distribute shell script
-    鈹�   鈹溾攢鈹€run_train.sh                    // shell script for train on Ascend
+    鈹�   鈹溾攢鈹€run_train.sh                    // shell script for train
+    鈹�   鈹溾攢鈹€run_train_ascend.sh             // shell script for train on Ascend
     鈹�   鈹溾攢鈹€run_distribute_train.sh         // shell script for distribute train
-    鈹�   鈹溾攢鈹€run_eval.sh                     // shell script for evaluation on Ascend
+    鈹�   鈹溾攢鈹€run_eval.sh                     // shell script for evaluation
+    鈹�   鈹溾攢鈹€run_eval_ascend.sh              // shell script for evaluation on Ascend
     鈹�   鈹溾攢鈹€run_train_gpu.sh                // shell script for train on GPU
     鈹�   鈹溾攢鈹€run_eval_gpu.sh                 // shell script for evaluation on GPU
     鈹�   鈹溾攢鈹€run_download_dataset.sh         // shell script for dataget and process
@@ -195,7 +203,7 @@ Parameters for both training and evaluation can be set in config.py.
 
 - config for NCF, ml-1m dataset
 
-  ```python
+  ```text
   * `--data_path`: This should be set to the same directory given to the data_download data_dir argument.
   * `--dataset`: The dataset name to be downloaded and preprocessed. By default, it is ml-1m.
   * `--train_epochs`: Total train epochs.
@@ -214,22 +222,28 @@ Parameters for both training and evaluation can be set in config.py.
 
 - on Ascend
 
-  ```python
+  ```bash
   # train single
-  bash scripts/run_train.sh
+  bash scripts/run_train_ascend.sh [DATASET_PATH] [CKPT_FILE]
   # train distribute
   bash scripts/run_distribute_train.sh [RANK_TABLE_FILE] [DATA_PATH]
   ```
 
 - on GPU
 
-  ```python
-  bash scripts/run_train_gpu.sh
+  ```bash
+  bash scripts/run_train_gpu.sh [DATASET_PATH] [CKPT_FILE] [DEVICE_ID]
+  ```
+
+- on CPU
+
+  ```bash
+  python train.py --data_path=./dataset --dataset=ml-1m --train_epochs=25 --batch_size=256 --output_path=./output/ --checkpoint_path=./checkpoint --device_target=CPU --device_id=0 --num_parallel_workers=2 > train.log 2>&1 &
   ```
 
   The python command above will run in the background, you can view the results through the file `train.log`. After training, you'll get some checkpoint files under the script folder by default. The loss value will be achieved as follows:
 
-  ```python
+  ```log
   # grep "loss is " train.log
   ds_train.size: 95
   epoch: 1 step: 95, loss is 0.25074288
@@ -248,13 +262,13 @@ Parameters for both training and evaluation can be set in config.py.
 
   Before running the command below, please check the checkpoint path used for evaluation. Please set the checkpoint path to be the absolute full path, e.g., "checkpoint/ncf-125_390.ckpt".
 
-  ```python
-  bash scripts/run_eval.sh
+  ```bash
+  bash scripts/run_eval_ascend.sh [DATASET_PATH] [CKPT_FILE] [DEVICE_ID]
   ```
 
   The above python command will run in the background. You can view the results through the file "eval.log". The accuracy of the test dataset will be as follows:
 
-  ```python
+  ```log
   # grep "accuracy: " eval.log
   HR:0.6846,NDCG:0.410
   ```
@@ -263,8 +277,21 @@ Parameters for both training and evaluation can be set in config.py.
 
   For details, see the above contents `evaluation on ml-1m dataset when running on Ascend`.
 
-  ```python
-  bash scripts/run_eval_gpu.sh
+  ```bash
+  bash scripts/run_eval_gpu.sh [DATASET_PATH] [CKPT_FILE] [DEVICE_ID]
+  ```
+
+- evaluation on ml-1m dataset when running on CPU
+
+  ```bash
+  python eval.py --data_path=./dataset --dataset=ml-1m --eval_batch_size=160000 --output_path=./output/ --eval_file_name=eval.log --checkpoint_file_path=./ckpt --device_target=CPU --device_id=0 > log.txt 2>&1 &
+  ```
+
+  The accuracy of the test dataset will be as follows:
+
+  ```log
+  # grep "accuracy: " eval.log
+  HR = 0.6975, NDCG = 0.420
   ```
 
 ## Inference Process
@@ -304,32 +331,32 @@ Inference result is saved in current path, you can find result like this in acc.
 
 ### Evaluation Performance
 
-| Parameters                 | Ascend                                                       | GPU                                                       |
-| -------------------------- | ------------------------------------------------------------ | ------------------------------------------------------------ |
-| Model Version              | NCF                                                 | NCF                                                 |
-| Resource                   | Ascend 910; CPU 2.60GHz, 56cores; Memory 314G; OS Euler2.8             | NV SMX2 V100-32G             |
-| uploaded Date              | 10/23/2020 (month/day/year)                                  | 08/28/2021 (month/day/year)                                  |
-| MindSpore Version          | 1.0.0                                                | 1.4.0                                                |
-| Dataset                    | ml-1m                                                        | ml-1m                                                        |
-| Training Parameters        | epoch=25, steps=19418, batch_size = 256, lr=0.00382059       | epoch=25, steps=19418, batch_size = 256, lr=0.00382059       |
-| Optimizer                  | GradOperation                                                | GradOperation                                                |
-| Loss Function              | Softmax Cross Entropy                                        | Softmax Cross Entropy                                        |
-| outputs                    | probability                                                  | probability                                                  |
-| Speed                      | 1pc: 0.575 ms/step                                          | 1pc: 2.5 ms/step                                          |
-| Total time                 | 1pc: 5 mins                       | 1pc: 25 mins                       |
+| Parameters                 | Ascend                                                       | GPU                                                       | CPU                                                    |
+| -------------------------- | ------------------------------------------------------------ | ------------------------------------------------------------ |--------------------------------------------------------|
+| Model Version              | NCF                                                 | NCF                                                 | NCF                                                    |
+| Resource                   | Ascend 910; CPU 2.60GHz, 56cores; Memory 314G; OS Euler2.8             | NV SMX2 V100-32G             | CPU AMD R75800H,3.2GHz,8cores;Memory 16G; 0S Windows11 |
+| uploaded Date              | 10/23/2020 (month/day/year)                                  | 08/28/2021 (month/day/year)                                  | 07/27/2022 (month/day/year)                            |
+| MindSpore Version          | 1.0.0                                                | 1.4.0                                                | 1.6.1                                                  |
+| Dataset                    | ml-1m                                                        | ml-1m                                                        | ml-1m                                                  |
+| Training Parameters        | epoch=25, steps=19418, batch_size = 256, lr=0.00382059       | epoch=25, steps=19418, batch_size = 256, lr=0.00382059       | epoch=25, steps=19418, batch_size = 256, lr=0.00382059 |
+| Optimizer                  | GradOperation                                                | GradOperation                                                | GradOperation                                          |
+| Loss Function              | Softmax Cross Entropy                                        | Softmax Cross Entropy                                        | Softmax Cross Entropy                                  |
+| outputs                    | probability                                                  | probability                                                  | probability                                            |
+| Speed                      | 1pc: 0.575 ms/step                                          | 1pc: 2.5 ms/step                                          | 1pc: 3.6 ms/step                                       |
+| Total time                 | 1pc: 5 mins                       | 1pc: 25 mins                       | 1pc: 29 mins                                           |
 
 ### Inference Performance
 
-| Parameters          | Ascend              |
-| ------------------- | --------------------------- |
-| Model Version       | NCF               |
-| Resource            | Ascend 910; OS Euler2.8                  |
-| Uploaded Date       | 10/23/2020 (month/day/year)  |
-| MindSpore Version   | 1.0.0                |  
-| Dataset             | ml-1m                       |
-| batch_size          | 256                         |
-| outputs             | probability                 |
-| Accuracy            | HR:0.6846,NDCG:0.410        |
+| Parameters          | Ascend              | CPU                        |
+| ------------------- | --------------------------- |----------------------------|
+| Model Version       | NCF               | NCF                        |
+| Resource            | Ascend 910; OS Euler2.8                  | AMD R75800H; OS Windows11  |
+| Uploaded Date       | 10/23/2020 (month/day/year)  | 7/27/2022 (month/day/year) |
+| MindSpore Version   | 1.0.0                | 1.6.1                      |
+| Dataset             | ml-1m                       | ml-1m                      |
+| batch_size          | 256                         | 256                        |
+| outputs             | probability                 | probability                |
+| Accuracy            | HR:0.6846,NDCG:0.410        | HR:0.6975, NDCG:0.420      |
 
 ## [How to use](#contents)
 
diff --git a/official/recommend/ncf/requirements.txt b/official/recommend/ncf/requirements.txt
index 8fd309a2b3aca9b3340706f951e8cfe8f23f1379..7389cdae35ebab0bc5f75e850a913f59950c65d2 100644
--- a/official/recommend/ncf/requirements.txt
+++ b/official/recommend/ncf/requirements.txt
@@ -1,5 +1,9 @@
-numpy
-pandas
-six
+numpy~=1.22.4
+pandas~=1.4.2
+six~=1.16.0
 absl-py
-pyyaml
+pyyaml~=6.0
+
+mindspore~=1.6.1
+pip~=20.2.3
+setuptools~=49.2.1
\ No newline at end of file
diff --git a/official/recommend/ncf/scripts/run_download_dataset.sh b/official/recommend/ncf/scripts/run_download_dataset.sh
index 8e42ad7779c3e70b17faa5c912f8e9d393c7c8f5..b2818ad29720048ad15b2ce38b571b01ec2b2f73 100644
--- a/official/recommend/ncf/scripts/run_download_dataset.sh
+++ b/official/recommend/ncf/scripts/run_download_dataset.sh
@@ -1,5 +1,5 @@
 #!/bin/bash
-# Copyright 2020 Huawei Technologies Co., Ltd
+# Copyright 2022 Huawei Technologies Co., Ltd
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -13,9 +13,13 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 # ============================================================================
-echo "Please run the script as: "
-echo "sh scripts/run_download_dataset.sh DATASET_PATH"
-echo "for example: sh scripts/run_download_dataset.sh /dataset_path"
+if [ $# != 1 ]
+then
+    echo "Please run the script as: "
+    echo "bash scripts/run_download_dataset.sh DATASET_PATH"
+    echo "for example: bash scripts/run_download_dataset.sh /dataset_path"
+exit 1
+fi
 
 data_path=$1
 python ./src/movielens.py --data_path $data_path --dataset 'ml-1m'
diff --git a/official/recommend/ncf/scripts/run_eval.sh b/official/recommend/ncf/scripts/run_eval.sh
index f25cde92394dbdac08bd2a7a1bf8e5fc40e5ef16..b7a054adb41b002532fdea6e641d33c23c35fa32 100644
--- a/official/recommend/ncf/scripts/run_eval.sh
+++ b/official/recommend/ncf/scripts/run_eval.sh
@@ -1,5 +1,5 @@
 #!/bin/bash
-# Copyright 2020 Huawei Technologies Co., Ltd
+# Copyright 2022 Huawei Technologies Co., Ltd
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -13,10 +13,15 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 # ============================================================================
-echo "Please run the script as: "
-echo "sh scripts/run_eval.sh DATASET_PATH CKPT_FILE"
-echo "for example: sh scripts/run_eval.sh /dataset_path /ncf.ckpt"
+if [ $# != 2 ]
+then
+    echo "Please run the script as: "
+    echo "bash scripts/run_eval.sh DATASET_PATH CKPT_FILE"
+    echo "for example: bash scripts/run_eval.sh /dataset_path /ncf.ckpt"
+exit 1
+fi
+
 
 data_path=$1
 ckpt_file=$2
-python ./eval.py --data_path $data_path --dataset 'ml-1m'  --eval_batch_size 160000 --output_path './output/' --eval_file_name 'eval.log' --checkpoint_file_path $ckpt_file
+python ./eval.py --data_path $data_path --dataset 'ml-1m'  --eval_batch_size 160000 --output_path './output/' --eval_file_name 'eval.log' --checkpoint_file_path $ckpt_file > log.txt 2>&1 &
diff --git a/official/recommend/ncf/scripts/run_eval_ascend.sh b/official/recommend/ncf/scripts/run_eval_ascend.sh
new file mode 100644
index 0000000000000000000000000000000000000000..7a1c95ec3fdce9fff597e2ce1ced26653866fdc5
--- /dev/null
+++ b/official/recommend/ncf/scripts/run_eval_ascend.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+# Copyright 2022 Huawei Technologies Co., Ltd
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============================================================================
+if [ $# != 3 ]
+then
+    echo "Please run the script as: "
+    echo "bash scripts/run_eval_ascend.sh DATASET_PATH CKPT_FILE DEVICE_ID"
+    echo "for example: bash scripts/run_eval_ascend.sh /dataset_path NCF-25_19418.ckpt 0"
+exit 1
+fi
+
+data_path=$1
+ckpt_file=$2
+export DEVICE_ID=$3
+python ./eval.py --data_path $data_path --dataset 'ml-1m'  --eval_batch_size 160000 --output_path './output/' --eval_file_name 'eval.log' --checkpoint_file_path $ckpt_file --device_target=Ascend --device_id $DEVICE_ID > log.txt 2>&1 &
diff --git a/official/recommend/ncf/scripts/run_eval_gpu.sh b/official/recommend/ncf/scripts/run_eval_gpu.sh
index 318330c3f555e677d7f83031ecca9bc6bd976322..e253b6fa08af9ab1cda48c34b5e9b54ba59d983d 100644
--- a/official/recommend/ncf/scripts/run_eval_gpu.sh
+++ b/official/recommend/ncf/scripts/run_eval_gpu.sh
@@ -1,5 +1,5 @@
 #!/bin/bash
-# Copyright 2021 Huawei Technologies Co., Ltd
+# Copyright 2022 Huawei Technologies Co., Ltd
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -13,11 +13,16 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 # ============================================================================
-echo "Please run the script as: "
-echo "bash scripts/run_eval_gpu.sh DATASET_PATH CKPT_FILE DEVICE_ID"
-echo "for example: bash scripts/run_eval_gpu.sh /dataset_path NCF-25_19418.ckpt 0"
+
+if [ $# != 3 ]
+then
+    echo "Please run the script as: "
+    echo "bash scripts/run_eval_gpu.sh DATASET_PATH CKPT_FILE DEVICE_ID"
+    echo "for example: bash scripts/run_eval_gpu.sh /dataset_path NCF-25_19418.ckpt 0"
+exit 1
+fi
 
 data_path=$1
 ckpt_file=$2
 export CUDA_VISIBLE_DEVICES=$3
-python ./eval.py --data_path $data_path --dataset 'ml-1m'  --eval_batch_size 160000 --output_path './output/' --eval_file_name 'eval.log' --checkpoint_file_path $ckpt_file --device_target=GPU --device_id=0
+python ./eval.py --data_path $data_path --dataset 'ml-1m'  --eval_batch_size 160000 --output_path './output/' --eval_file_name 'eval.log' --checkpoint_file_path $ckpt_file --device_target=GPU --device_id=0 > log.txt 2>&1 &
diff --git a/official/recommend/ncf/scripts/run_train.sh b/official/recommend/ncf/scripts/run_train.sh
index 9255209423da36e8caccb904d92b4efcfe32ad30..f7f947a93e57c7b8671271817fc4450fd4184f77 100644
--- a/official/recommend/ncf/scripts/run_train.sh
+++ b/official/recommend/ncf/scripts/run_train.sh
@@ -1,5 +1,5 @@
 #!/bin/bash
-# Copyright 2020 Huawei Technologies Co., Ltd
+# Copyright 2022 Huawei Technologies Co., Ltd
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -13,10 +13,15 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 # ============================================================================
-echo "Please run the script as: "
-echo "sh scripts/run_train.sh DATASET_PATH CKPT_FILE"
-echo "for example: sh scripts/run_train.sh /dataset_path /ncf.ckpt"
+
+if [ $# != 2 ]
+then
+    echo "Please run the script as: "
+    echo "bash scripts/run_train.sh DATASET_PATH CKPT_FILE"
+    echo "for example: bash scripts/run_train.sh /dataset_path /ncf.ckpt"
+exit 1
+fi
 
 data_path=$1
 ckpt_file=$2
-python ./train.py --data_path $data_path --dataset 'ml-1m'  --train_epochs 20 --batch_size 256 --output_path './output/' --checkpoint_path $ckpt_file
+python ./train.py --data_path $data_path --dataset 'ml-1m'  --train_epochs 20 --batch_size 256 --output_path './output/' --checkpoint_path $ckpt_file > train.log 2>&1 &
diff --git a/official/recommend/ncf/scripts/run_train_ascend.sh b/official/recommend/ncf/scripts/run_train_ascend.sh
new file mode 100644
index 0000000000000000000000000000000000000000..43626edb2c0eb9c2133ab13caff4af03e094f161
--- /dev/null
+++ b/official/recommend/ncf/scripts/run_train_ascend.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+# Copyright 2022 Huawei Technologies Co., Ltd
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============================================================================
+if [ $# != 2 ]
+then
+    echo "Please run the script as: "
+    echo "bash scripts/run_train_ascend.sh DATASET_PATH CKPT_FILE"
+    echo "for example: bash scripts/run_train_ascend.sh /dataset_path /ncf.ckpt"
+exit 1
+fi
+
+data_path=$1
+ckpt_file=$2
+python ./train.py --data_path $data_path --dataset 'ml-1m'  --train_epochs 25 --batch_size 256 --output_path './output/' --checkpoint_path $ckpt_file --device_target=Ascend > train.log 2>&1 &
diff --git a/official/recommend/ncf/scripts/run_train_gpu.sh b/official/recommend/ncf/scripts/run_train_gpu.sh
index 8f5c0111324d22cbf919f58e401a7b4e7eca6bec..23346db419a08482b72a79d356ad21a3d95a7fb1 100644
--- a/official/recommend/ncf/scripts/run_train_gpu.sh
+++ b/official/recommend/ncf/scripts/run_train_gpu.sh
@@ -1,5 +1,5 @@
 #!/bin/bash
-# Copyright 2021-2022 Huawei Technologies Co., Ltd
+# Copyright 2022 Huawei Technologies Co., Ltd
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -13,9 +13,13 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 # ============================================================================
-echo "Please run the script as: "
-echo "bash scripts/run_train_gpu.sh DATASET_PATH CKPT_FILE DEVICE_ID"
-echo "for example: bash scripts/run_train_gpu.sh /dataset_path /ncf.ckpt 0"
+if [ $# != 3 ]
+then
+    echo "Please run the script as: "
+    echo "bash scripts/run_train_gpu.sh DATASET_PATH CKPT_FILE DEVICE_ID"
+    echo "for example: bash scripts/run_train_gpu.sh /dataset_path /ncf.ckpt 0"
+exit 1
+fi
 
 data_path=$1
 ckpt_file=$2
@@ -29,4 +33,4 @@ python ./train.py \
     --checkpoint_path $ckpt_file  \
     --device_target=GPU \
     --device_id=0 \
-    --num_parallel_workers=2
+    --num_parallel_workers=2 > train.log 2>&1 &
diff --git a/official/recommend/ncf/scripts/run_transfer_ckpt_to_air.sh b/official/recommend/ncf/scripts/run_transfer_ckpt_to_air.sh
index fcd42247cee85e6fd7696a9b6a5cdbc0cdbc4616..a50dea93cad019c3fe4819249aeaede8cf1ffc65 100644
--- a/official/recommend/ncf/scripts/run_transfer_ckpt_to_air.sh
+++ b/official/recommend/ncf/scripts/run_transfer_ckpt_to_air.sh
@@ -1,5 +1,5 @@
 #!/bin/bash
-# Copyright 2020 Huawei Technologies Co., Ltd
+# Copyright 2022 Huawei Technologies Co., Ltd
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -13,9 +13,13 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 # ============================================================================
-echo "Please run the script as: "
-echo "sh scripts/run_transfer_ckpt_to_air.sh DATASET_PATH CKPT_FILE"
-echo "for example: sh scripts/run_transfer_ckpt_to_air.sh /dataset_path /ncf.ckpt"
+if [ $# != 2 ]
+then
+    echo "Please run the script as: "
+    echo "bash scripts/run_transfer_ckpt_to_air.sh DATASET_PATH CKPT_FILE"
+    echo "for example: bash scripts/run_transfer_ckpt_to_air.sh /dataset_path /ncf.ckpt"
+exit 1
+fi
 
 data_path=$1
 ckpt_file=$2
diff --git a/official/recommend/ncf/train.py b/official/recommend/ncf/train.py
index 813e0257924aaa98faf54b1ff2770ffac4dd928b..49a64805d32d088b789d330264f045c2774e10d1 100644
--- a/official/recommend/ncf/train.py
+++ b/official/recommend/ncf/train.py
@@ -90,7 +90,7 @@ def run_train():
     model = Model(train_net)
     callback = LossMonitor(per_print_times=ds_train.get_dataset_size())
     ckpt_config = CheckpointConfig(save_checkpoint_steps=(4970845+config.batch_size-1)//(config.batch_size),
-                                   keep_checkpoint_max=100)
+                                   keep_checkpoint_max=5)
     ckpoint_cb = ModelCheckpoint(prefix='NCF', directory=config.checkpoint_path, config=ckpt_config)
     model.train(epochs,
                 ds_train,